%define name    fuse-utils
%define version 0.6.1
%define release 5mdk

Name: %{name}
Summary: The Fuse utilities are a few tools to deal with ZX Spectrum emulator files
Version: %{version}
Release: %{release}
License: GPL
URL: http://www.srcf.ucam.org/~pak21/spectrum/fuse.html
Source: http://www.srcf.ucam.org/~pak21/spectrum/%{name}-%{version}.tar.gz
Patch0: fuse-utils-dontuse-gcrypt.patch.bz2
Group: Emulators
BuildRequires: libz-devel libspectrum-devel libgcrypt-devel libglib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The available utilities are:

* listbasic: list the BASIC in a snapshot or tape file.
* rzxcheck: verify the digital signature in an RZX file.
* rzxdump: list the contents of an RZX input recording file.
* rzxtool: add, extract or remove the embedded snapshot from an RZX file,
  or compress or uncompress the file.
* scl2trd: convert .scl disk images to .trd disk images.
* snapconv: convert between snapshot formats.
* tapeconv: convert between .tzx and .tap files.
* tzxlist: list the contents of a TZX file.

%prep
%setup -q
%patch0 -p1

%build
%configure --without-gcrypt
%make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Oct 29 2004 Michael Scherer <misc@mandrake.org> 0.6.1-5mdk
- Rebuild

* Sat Feb 07 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-4mdk
- rebuild
- patch0 to not use gcrypt function (devel is still need)

* Mon Dec 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.6.1-3mdk
- introduce in contrib

* Sat Nov 1 2003 Miguel Barrio Orsikowsky <mik@ingecivil.com> 0.6.1-2mdk
- made some fixes and cosmetic changes to the spec file

* Thu Sep 2 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.1-1mdk
- new version
- changed libspectrum0-devel intro libspectrum2-devel in BuildRequires

* Thu May 22 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-2mdk
- added BuildRequires

* Sun Apr 27 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.6.0-1mdk
- new version

* Fri Apr 25 2003 Miguel Barrio Orsikowsky <megamik@ya.com> 0.5.1-1mdk
- first version of the package
- spec file written using Mandrake RPM HOWTO 1.1.1
